package sun.management;

import java.lang.management.GarbageCollectorMXBean;
import java.lang.management.MemoryManagerMXBean;
import java.lang.management.MemoryPoolMXBean;

class ManagementFactory
{
    private ManagementFactory() {
    }
    
    private static MemoryPoolMXBean createMemoryPool(String s, boolean b, long n, long n2) {
        return new MemoryPoolImpl(s, b, n, n2);
    }
    
    private static MemoryManagerMXBean createMemoryManager(String s) {
        return new MemoryManagerImpl(s);
    }
    
    private static GarbageCollectorMXBean createGarbageCollector(String s, String s2) {
        return new GarbageCollectorImpl(s);
    }
}
